> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get users from configured Connect service

GET https://demo.docusign.net/restapi/v2/accounts/{accountId}/connect/{connectId}/users

Returns users from the configured Connect service.

Reference: https://developers.docusign.com/docs/esign-rest-api/v2/reference/connect/connectconfigurations/listusers

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account id GUID.
- `connectId` (string, required) — The ID of the custom Connect configuration being accessed.

### Query parameters

- `count` (string, optional) — Optional. Number of items to return.
- `email_substring` (string, optional) — Filters the returned user records by the email address or a sub-string of email address.
- `list_included_users` (string, optional)
- `start_position` (string, optional) — The position within the total result set from which to start returning values. The value **thumbnail** may be used to return the page image.
- `status` (string, optional) — Filters the results by user status. You can specify a comma-separated list of the following statuses: * ActivationRequired * ActivationSent * Active * Closed * Disabled
- `user_name_substring` (string, optional) — Filters the user records returned by the user name or a sub-string of user name.

## Response

### 200

Successful response.

- `allUsersSelected` (string, optional)
- `endPosition` (string, optional) — The last position in the result set.
- `nextUri` (string, optional) — The URI for the next chunk of records based on the search request. It is `null` if this is the last set of results for the search.
- `previousUri` (string, optional) — The URI for the prior chunk of records based on the search request. It is `null` if this is the first set of results for the search.
- `resultSetSize` (string, optional) — The number of results returned in this response.
- `startPosition` (string, optional) — Starting position of the current result set.
- `totalSetSize` (string, optional) — The total number of items in the search's result set. It will always be greater than or equal to the value of the `resultSetSize` field.
- `users` (list of userInfo, optional)

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Types

### userInfo

- `activationAccessCode` (string, optional)
- `email` (string, optional)
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `loginStatus` (string, optional)
- `sendActivationEmail` (string, optional)
- `uri` (string, optional)
- `userId` (string, optional) — The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. **Note**: For the [GET /v2/accounts/\{accountId}/envelopes](https://developers.docusign.com/esign-rest-api/reference/Envelopes/Envelopes/listStatusChanges/#envelopesInformation) method, the `user_id` query parameter is not implemented and should not be used.
- `userName` (string, optional)
- `userStatus` (string, optional) — Status of the user's account. One of: * ActivationRequired * ActivationSent * Active * Closed * Disabled
- `userType` (string, optional)

### errorDetails

This object describes errors that occur. It is only valid for responses, and ignored in requests.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Examples

**Response**

```json
{
  "allUsersSelected": "string",
  "endPosition": "string",
  "nextUri": "string",
  "previousUri": "string",
  "resultSetSize": "string",
  "startPosition": "string",
  "totalSetSize": "string",
  "users": [
    {
      "activationAccessCode": "string",
      "email": "string",
      "errorDetails": {
        "errorCode": "string",
        "message": "string"
      },
      "loginStatus": "string",
      "sendActivationEmail": "string",
      "uri": "string",
      "userId": "string",
      "userName": "string",
      "userStatus": "string",
      "userType": "string"
    }
  ]
}
```